Description

Sometimes, when a user leaves a tab open with an issue, and meanwhile somehow gets signed out, the user may try to update the

ticket without realizing she is not logged in. In this case, she may spend a long time typing an update to the ticket, which then gets

lost when she submits it. Instead of printing only 'invalid form authenticity token' redmine may write something like

-----

Invalid form authenticity token. This can happen if your session has timed out. Please try to log in again. Here is the text you

submitted, so you can save it:

blablablabla

-----

That way, the user can copy her work to a text editor, before logging in again and submitting the update again. This would be a

usability improvement.

Related issues:

Related to Redmine - Patch #15234: A popup message after session timeout New

Is duplicate of Redmine - Defect #7651: 'Invalid form authenticity token' whe... New 2011-02-18

History

#1 - 2013-11-01 10:53 - Karel Pičman

I've tried to solve the session timeout problem here #15234.

#2 - 2013-11-30 04:32 - Toshi MARUYAMA

- Category changed from UI to Accounts / authentication

#3 - 2013-11-30 04:32 - Toshi MARUYAMA

- Related to Patch #15234: A popup message after session timeout added

#4 - 2015-03-02 23:29 - Andrew Leech

This same issue had hit me a number of times. I've found however that hitting back on the browser (chrome for me) does work for me, my text is just

hidden.

After typing and entry that is an update to an existing issue, then hitting submit and finding the login page popup, I hit back on browser once and get

back the page I was editing.

The text is initially gone, but if I hit the update button the edit box comes back with the text still in it. I can copy it then, re-login, and paste text back

again.

#5 - 2022-08-29 22:08 - Martin von Wittich

This happens what feels like once per month to me, when I'm taking a long time to create a new issue, and is super annoying. The fact that the Back

button of the browser simply returns to an empty form makes this especially egregious. The only way to recover the issue text is to open the network

inspector and manually copypaste it from the POST data.

#6 - 2022-10-25 14:41 - Martin von Wittich

See also these tickets, I unfortunately am not allowed to link them:

#30733

#17588

#7651
https://www.redmine.org/issues/15234
https://www.redmine.org/issues/30733
https://www.redmine.org/issues/17588
https://www.redmine.org/issues/7651


#7 - 2022-10-27 06:31 - Bernhard Rohloff

- Has duplicate Defect #7651: 'Invalid form authenticity token' when updating issue causes dataloss added

#8 - 2022-10-27 06:33 - Bernhard Rohloff

- Has duplicate deleted (Defect #7651: 'Invalid form authenticity token' when updating issue causes dataloss)

#9 - 2022-10-27 06:33 - Bernhard Rohloff

- Is duplicate of Defect #7651: 'Invalid form authenticity token' when updating issue causes dataloss added
